Bug 1027404 - [abrt] bluefish-2.2.4-1.fc19: Oxygen::WidgetLookup::find: Process /usr/bin/bluefish was killed by signal 11 (SIGSEGV)
[abrt] bluefish-2.2.4-1.fc19: Oxygen::WidgetLookup::find: Process /usr/bin/bl...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: oxygen-gtk3 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:465d9561b7e5e6ab78bf69e1141...
:
: 929347 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 13:30 EST by Ryan Spinuzzi
Modified: 2014-01-29 22:34 EST (History)
3 users (show)

See Also:
Fixed In Version: oxygen-gtk2-1.4.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 22:06:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.01 KB, text/plain)
2013-11-06 13:30 EST, Ryan Spinuzzi
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-06 13:30 EST, Ryan Spinuzzi
no flags Details
File: core_backtrace (35.55 KB, text/plain)
2013-11-06 13:30 EST, Ryan Spinuzzi
no flags Details
File: dso_list (9.83 KB, text/plain)
2013-11-06 13:30 EST, Ryan Spinuzzi
no flags Details
File: environ (3.17 KB, text/plain)
2013-11-06 13:30 EST, Ryan Spinuzzi
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-06 13:30 EST, Ryan Spinuzzi
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-06 13:30 EST, Ryan Spinuzzi
no flags Details
File: maps (48.25 KB, text/plain)
2013-11-06 13:30 EST, Ryan Spinuzzi
no flags Details
File: open_fds (1.08 KB, text/plain)
2013-11-06 13:30 EST, Ryan Spinuzzi
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-11-06 13:30 EST, Ryan Spinuzzi
no flags Details
File: var_log_messages (325 bytes, text/plain)
2013-11-06 13:30 EST, Ryan Spinuzzi
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 719921 None None None Never
KDE Software Compilation 328488 None None None Never

  None (edit)
Description Ryan Spinuzzi 2013-11-06 13:30:19 EST
Version-Release number of selected component:
bluefish-2.2.4-1.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /bin/bluefish '/home/Templates/Eclipse/Themes/Dark Runner.xml'
crash_function: Oxygen::WidgetLookup::find
executable:     /usr/bin/bluefish
kernel:         3.11.4-201.fc19.x86_64
runlevel:       N 3
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Oxygen::WidgetLookup::find at /usr/src/debug/oxygen-gtk3-1.2.0/src/oxygenwidgetlookup.cpp:110
 #2 Oxygen::render_background at /usr/src/debug/oxygen-gtk3-1.2.0/src/oxygenthemingengine.cpp:212
 #3 gtk_render_background at gtkstylecontext.c:3908
 #4 _gtk_text_handle_draw at gtktexthandle.c:130
 #5 _gtk_text_handle_update_shape at gtktexthandle.c:156
 #6 _gtk_text_handle_create_window at gtktexthandle.c:219
 #7 _gtk_text_handle_set_relative_to at gtktexthandle.c:594
 #8 gtk_entry_realize at gtkentry.c:3161
 #13 gtk_widget_realize at gtkwidget.c:4824
 #14 gtk_widget_map at gtkwidget.c:4359

Potential duplicate: bug 929347
Comment 1 Ryan Spinuzzi 2013-11-06 13:30:28 EST
Created attachment 820641 [details]
File: backtrace
Comment 2 Ryan Spinuzzi 2013-11-06 13:30:31 EST
Created attachment 820642 [details]
File: cgroup
Comment 3 Ryan Spinuzzi 2013-11-06 13:30:33 EST
Created attachment 820643 [details]
File: core_backtrace
Comment 4 Ryan Spinuzzi 2013-11-06 13:30:36 EST
Created attachment 820644 [details]
File: dso_list
Comment 5 Ryan Spinuzzi 2013-11-06 13:30:38 EST
Created attachment 820645 [details]
File: environ
Comment 6 Ryan Spinuzzi 2013-11-06 13:30:40 EST
Created attachment 820646 [details]
File: exploitable
Comment 7 Ryan Spinuzzi 2013-11-06 13:30:43 EST
Created attachment 820647 [details]
File: limits
Comment 8 Ryan Spinuzzi 2013-11-06 13:30:45 EST
Created attachment 820648 [details]
File: maps
Comment 9 Ryan Spinuzzi 2013-11-06 13:30:48 EST
Created attachment 820649 [details]
File: open_fds
Comment 10 Ryan Spinuzzi 2013-11-06 13:30:50 EST
Created attachment 820650 [details]
File: proc_pid_status
Comment 11 Ryan Spinuzzi 2013-11-06 13:30:52 EST
Created attachment 820651 [details]
File: var_log_messages
Comment 12 Paul Howarth 2013-12-06 05:29:04 EST
Upstream says: "From looking at the backtraces I suspect a bug in the oxygen engine. This seems to be not bluefish related."
Comment 13 nucleo 2013-12-06 12:15:05 EST
Upstream says: "The backtrace looks like a case of widget deletion that is not caught by our code. Meaning that the "destroy" signal was not either sent or recieved. Can be memory corruption or something more profound (but then I'd expect pretty much all applications to crash)"
https://bugs.kde.org/show_bug.cgi?id=328488#c1
Comment 14 Fedora Update System 2014-01-20 17:36:27 EST
oxygen-gtk2-1.4.2-1.fc19,oxygen-gtk3-1.2.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/oxygen-gtk2-1.4.2-1.fc19,oxygen-gtk3-1.2.2-1.fc19
Comment 15 Fedora Update System 2014-01-20 21:32:44 EST
oxygen-gtk2-1.4.2-1.fc20, oxygen-gtk3-1.3.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/oxygen-gtk2-1.4.2-1.fc20,oxygen-gtk3-1.3.2-1.fc20
Comment 16 nucleo 2014-01-20 21:42:02 EST
*** Bug 929347 has been marked as a duplicate of this bug. ***
Comment 17 Fedora Update System 2014-01-21 22:06:54 EST
oxygen-gtk2-1.4.2-1.fc20, oxygen-gtk3-1.3.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2014-01-29 22:34:49 EST
oxygen-gtk2-1.4.2-1.fc19, oxygen-gtk3-1.2.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.